Get a file
Retrieves a file by its ID.
curl -X GET "https://api.fetchmedia.io/v1/files/123e4567-e89b-12d3-a456-426614174000" \
-H "Content-Type: application/json" \
-H "X-API-KEY: YOUR_API_KEY"
import requests
import json
url = "https://api.fetchmedia.io/v1/files/123e4567-e89b-12d3-a456-426614174000"
headers = {
"Content-Type": "application/json",
"X-API-KEY": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.fetchmedia.io/v1/files/123e4567-e89b-12d3-a456-426614174000", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-KEY": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
)
func main() {
req, err := http.NewRequest("GET", "https://api.fetchmedia.io/v1/files/123e4567-e89b-12d3-a456-426614174000", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-KEY", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.fetchmedia.io/v1/files/123e4567-e89b-12d3-a456-426614174000')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-KEY'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "file.mp4",
"source": "upload",
"status": "pending | running | success | failed",
"created_at": "2024-12-25T10:00:00Z",
"download_url": "https://api.fetchmedia.io/v1/files/123e4567-e89b-12d3-a456-426614174000/file.mp4",
"error": "File processing failed: unsupported format",
"ffprobe": {
"width": 1920,
"height": 1080,
"duration": 120.5,
"format_name": "mov,mp4,m4a,3gp,3g2,mj2"
},
"ffprobe_error": "ffprobe failed: invalid data found when processing input"
}
/files/{id}Target server for requests. Edit to use your own host.
API key (sent in header)
API key (sent in query)
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
API Key for authentication. Provide your API key in the query.
Path Parameters
Responses
The ID of the file.
The name of the file.
The source of the file.
The status of the file processing.
The creation time of the file.
The URL of the file.
The error message if the file processing failed.
The ffprobe of the file.
The ffprobe error message if ffprobe failed.